#ifndef __STRINGS_H
#include <strings.h>
#endif

class TInformazione_moduli : public TObject
{
  TString_array _infos;
  int           _index[ENDAUT];
  int           _unassigned_modules; // Moduli non assegnati, con descrizione vuota
  
public:
  const char * get_description_by_order(int index);
  const char * get_name_by_order(int index);
  int          get_module_by_order(int index);
  const char * get_description(int module);
  const char * get_name(int module);
  int          get_index(int module);
  int          unassigned() { return _unassigned_modules; }
  TInformazione_moduli() ;
  ~TInformazione_moduli() {};
};


